package com.ruoyi.system.domain;

import java.time.LocalDate;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 各景区的每天统计数据对象 daily_scenic
 * 
 * @author haotian
 * @date 2024-12-09
 */
public class DailyScenic extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long dailyScenicId;

    /** 景区关联 */
    @Excel(name = "景区关联")
    private Long scenicId;

    /** 用户MR在线时长 */
    @Excel(name = "用户MR在线时长")
    private Long uMrTime;

    /** 被购买总数（尽管您提到可能没意义，但根据需求还是包含在内） */
    @Excel(name = "被购买总数", readConverterExp = "尽=管您提到可能没意义，但根据需求还是包含在内")
    private Long bought;

    /** 互动次数 */
    @Excel(name = "互动次数")
    private Long interactions;

    /** 分享次数 */
    @Excel(name = "分享次数")
    private Long shares;

    /** 收入 */
    @Excel(name = "收入")
    private Long income;

    /** 每天时间，记录到天 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "每天时间，记录到天", width = 30, dateFormat = "yyyy-MM-dd")
    private LocalDate date;

    public void setDailyScenicId(Long dailyScenicId) 
    {
        this.dailyScenicId = dailyScenicId;
    }

    public Long getDailyScenicId() 
    {
        return dailyScenicId;
    }
    public void setScenicId(Long scenicId) 
    {
        this.scenicId = scenicId;
    }

    public Long getScenicId() 
    {
        return scenicId;
    }
    public void setuMrTime(Long uMrTime) 
    {
        this.uMrTime = uMrTime;
    }

    public Long getuMrTime() 
    {
        return uMrTime;
    }
    public void setBought(Long bought) 
    {
        this.bought = bought;
    }

    public Long getBought() 
    {
        return bought;
    }
    public void setInteractions(Long interactions) 
    {
        this.interactions = interactions;
    }

    public Long getInteractions() 
    {
        return interactions;
    }
    public void setShares(Long shares) 
    {
        this.shares = shares;
    }

    public Long getShares() 
    {
        return shares;
    }
    public void setIncome(Long income) 
    {
        this.income = income;
    }

    public Long getIncome() 
    {
        return income;
    }
    public void setDate(LocalDate date)
    {
        this.date = date;
    }

    public LocalDate getDate()
    {
        return date;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dailyScenicId", getDailyScenicId())
            .append("scenicId", getScenicId())
            .append("uMrTime", getuMrTime())
            .append("bought", getBought())
            .append("interactions", getInteractions())
            .append("shares", getShares())
            .append("income", getIncome())
            .append("date", getDate())
            .toString();
    }
}
